### Method

# Gio Drive get_name

#### Declaration

    char*
    g_drive_get_name (
      GDrive* drive
    )

#### Description

Gets the name of `drive`.

#### Return value

Type: `char*`

A string containing `drive`‘s name. The returned string should be freed when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.